> ## Documentation Index
> Fetch the complete documentation index at: https://docs.activeviam.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a report view



## OpenAPI

````yaml /risk-and-pricing/atoti-risk-services/apis-endpoints/openapi/openapi.mintlify.json get /api/ReportQuery/Views/{reportDefinitionId}/{view}
openapi: 3.0.1
info:
  title: Derivitec Api 1.0
  version: '1.0'
servers:
  - description: Derivitec Server
    url: https://api.riskportal.activeviam.com
security:
  - oauth2: []
  - apikey: []
paths:
  /api/ReportQuery/Views/{reportDefinitionId}/{view}:
    get:
      tags:
        - ReportQuery
      summary: Get a report view
      operationId: GetReportView
      parameters:
        - description: ''
          explode: false
          in: path
          name: reportDefinitionId
          required: true
          schema:
            type: string
          style: simple
        - description: ''
          explode: false
          in: path
          name: view
          required: true
          schema:
            type: string
          style: simple
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListReportViewsResponse'
          description: Success
        '400':
          description: BadRequest
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2: []
        - apikey: []
components:
  schemas:
    ListReportViewsResponse:
      example:
        is_success: true
        views:
          - report_definition_id: report_definition_id
            payload: payload
            name: name
            can_share: true
            id: id
            can_update: true
          - report_definition_id: report_definition_id
            payload: payload
            name: name
            can_share: true
            id: id
            can_update: true
        error_messages:
          - error_messages
          - error_messages
      properties:
        views:
          items:
            $ref: '#/components/schemas/ReportView'
          nullable: true
          type: array
        is_success:
          type: boolean
        error_messages:
          items:
            type: string
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Core.Mediators.ReportView.ListReportViewsResponse,
              Derivitec.Core.Mediators
      required:
        - $type
      type: object
    ReportView:
      example:
        report_definition_id: report_definition_id
        payload: payload
        name: name
        can_share: true
        id: id
        can_update: true
      properties:
        id:
          nullable: true
          type: string
        report_definition_id:
          nullable: true
          type: string
        payload:
          nullable: true
          type: string
        name:
          nullable: true
          type: string
        can_update:
          type: boolean
        can_share:
          type: boolean
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.Reports.ReportView, Derivitec.Web.Core
      required:
        - $type
      type: object
  securitySchemes:
    oauth2:
      description: >-
        OAuth2 access-token requested from AWS Cognito and provided as a Auth
        Bearer header
      flows:
        implicit:
          authorizationUrl: https://auth.riskportal.derivitec.com/oauth2/authorize
          scopes: {}
      type: oauth2
    apikey:
      description: API-Key requested via the site and provided as a header
      in: header
      name: x-api-key
      type: apiKey

````